Subject: Re: What's cooking in git.git (Jan 2025, #04; Tue, 14)

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 16 Jan 2025 11:24:01 +0100

On Tue, Jan 14, 2025 at 10:25:13AM -0800, Junio C Hamano wrote:
> * sj/ref-consistency-checks-more (2025-01-06) 10 commits
>  - builtin/fsck: add `git refs verify` child process
>  - packed-backend: check whether the "packed-refs" is sorted
>  - packed-backend: add check for object consistency
>  - packed-backend: create "fsck_packed_ref_entry" to store parsing info
>  - packed-backend: add "packed-refs" entry consistency check
>  - packed-backend: check whether the refname contains NULL binaries
>  - packed-backend: add "packed-refs" header consistency check
>  - packed-backend: check whether the "packed-refs" is regular
>  - builtin/refs.h: get worktrees without reading head info
>  - files-backend: add object check for regular ref
> 
>  "git fsck" becomes more careful when checking the refs.
>  source: <Z3qNUizvHJLgMx1y@ArchLinux>

I haven't yet found the time to have a look, but hope to do so tomorrow.

> * ds/backfill (2024-12-20) 6 commits
>  - backfill: assume --sparse when sparse-checkout is enabled
>  - backfill: add --sparse option
>  - backfill: add --min-batch-size=<n> option
>  - backfill: basic functionality and tests
>  - backfill: add builtin boilerplate
>  - Merge branch 'ds/path-walk-1' into ds/backfill
>  (this branch uses ds/path-walk-1.)
> 
>  Lazy-loading missing files in a blobless clone on demand is costly
>  as it tends to be one-blob-at-a-time.  "git backfill" is introduced
>  to help bulk-download necessary files beforehand.
> 
>  Comments?
>  source: <[email-masked]>

I had a couple of nits and expect another reroll, but think it's close
to being ready.

> * ds/path-walk-1 (2024-12-20) 7 commits
>  - path-walk: reorder object visits
>  - path-walk: mark trees and blobs as UNINTERESTING
>  - path-walk: visit tags and cached objects
>  - path-walk: allow consumer to specify object types
>  - t6601: add helper for testing path-walk API
>  - test-lib-functions: add test_cmp_sorted
>  - path-walk: introduce an object walk by path
>  (this branch is used by ds/backfill.)
> 
>  Introduce a new API to visit objects in batches based on a common
>  path, or by type.
> 
>  Comments?
>  source: <[email-masked]>

I had a single nit, but don't necessarily think that it needs to be
addressed.

Patrick